﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace TelNet
{
    public partial class Form1 : Form
    {
        static string responseData = String.Empty;
        public Form1()
        {
          
            InitializeComponent();
        }
        private void Connect_Click(object sender, EventArgs e)
        {

            // Connect function, M630A1 is string equal to Alias for instrument..
            responseData = TelNetMeatest.TelNetMeatest.Connect(textBox2.Text);


            responseData = responseData.Substring(0, responseData.Length - 10);
            if (responseData.Contains("Welcome") == true)
            {
                button2.Enabled = true;
                listBox1.Enabled = true;
                button1.Enabled = true;
                Connect.Enabled = false;
                ZV.Text = responseData;
            }
            else { ZV.Text = "Connection failed."; }
            //object text = ZV;
            //listBox1.Items.Add(text);

        }

        private void button2_Click(object sender, EventArgs e)
        {
            //send

            responseData = TelNetMeatest.TelNetMeatest.Send(textBox1.Text);
            System.Threading.Thread.Sleep(100);
            responseData = TelNetMeatest.TelNetMeatest.READ();

            ZV.Text = responseData;



        }

        private void listBox1_SelectedIndexChanged(object sender, EventArgs e)
        {

            textBox1.Text = listBox1.Text;

        }

        private void button1_Click(object sender, EventArgs e)
        {

            responseData = TelNetMeatest.TelNetMeatest.Send("outp off");
            System.Threading.Thread.Sleep(200);
            responseData = TelNetMeatest.TelNetMeatest.Send("syst:loc");

            System.Threading.Thread.Sleep(200);
            responseData = TelNetMeatest.TelNetMeatest.Disconnect();

            if (responseData.Contains("odpojeno") == true)
            {
                button2.Enabled = true;
                listBox1.Enabled = true;
                button1.Enabled = true;
                Connect.Enabled = false;
                ZV.Text = "Disconnected";
            }
            else
            {
                ZV.Text = responseData;
            }


            button1.Enabled = false;
            button2.Enabled = false;
            Connect.Enabled = true;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            button1.Enabled = false;
        }
    }
}
